DROP DATABASE IF EXISTS youngster_library;
CREATE DATABASE youngster_library DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
USE youngster_library;

CREATE TABLE buch (
    buch_id INTEGER NOT NULL AUTO_INCREMENT,
    titel VARCHAR(200) NOT NULL,
    verfasser VARCHAR(30) NOT NULL,
    jahr INTEGER NOT NULL,
    verlag VARCHAR(30) NOT NULL,
    reihe VARCHAR(40),
    verfuegbar ENUM('ja', 'nein') NOT NULL DEFAULT 'ja',
    interessenkreis_idfs INTEGER NOT NULL,
    isbn VARCHAR(25) NOT NULL,
    isbn_2 VARCHAR(25),
    beschreibung BLOB NOT NULL,
    mediengruppe VARCHAR(30) NOT NULL,
    so_oft_gelesen INTEGER NOT NULL DEFAULT '0',
    bild VARCHAR(50) NOT NULL,
    
    PRIMARY KEY (buch_id)
);

INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild)VALUES('Die Geschichte von Malala','Mazza, Viviana',2014,'DTV','ja',11,'978-3-423-71604-8','Malala Yousafzai ist 11 Jahre alt und lebt mit ihrer Familie im Swat-Tal im Nordwesten Pakistans, als die Taliban ein Schulverbot für Mädchen verhängen. Doch Malala geht weiterhin zum Unterricht und fordert das Recht der Mädchen auf Bildung. Bis im Oktober 2012 ein Attentäter der Taliban ihren Schulbus stürmt und gezielt auf sie schießt. Wie durch ein Wunder überlebt sie den Anschlag. Der Fall von Malala ging auf der ganzen Welt durch die Medien, 2014 erhielt sie den Friedensnobelpreis und sie ist nun so berühmt, dass sie keinen Nachnamen mehr nötig hat.','Jugendlich','images/malana.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild)VALUES('Margos Spuren','Green, John',2011,'DTV','nein',11,'978-3-423-62499-2','Solange Quentin denken kann, ist Margo für ihn das begehrenswerteste Mädchen überhaupt. Doch je näher er ihr kommt, desto rätselhafter und unerreichbarer wird sie. Und dann steht Margo eines Nachts plötzlich vor seinem Fenster und bittet ihn um Hilfe: Er soll sie auf ihrem persönlichen Rachefeldzug begleiten und Freunden, die sie enttäuscht haben, einen Denkzettel verpassen. Quentin macht mit. Für eine Nacht wirft er alle Ängste über Bord. Doch am nächsten Morgen ist Margo verschwunden. Quentin sucht sie verzweifelt und findet Spuren, die ganz bewusst gestreut wurden. Um Margo zu finden, taucht er ein in ihr Universum und folgt ihr quer durch die USA. Es ist eine Reise zu einer Frau, die viel mehr ist, als er sich je erträumt hat, und zugleich ganz anders, als er je hat wahrhaben wollen.','Jugendlich','images/margos_spuren.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Elias & Laia - Die Herrschaft der Masken','Tahir, Sabaa',2015,'Lübbe ONE in der Bastei Lübbe AG','ja',11,'978-3-8466-0009-2','Wie überlebt man in einer Welt, in der Männer mit silbernen Masken jeden Tag den Tod bringen können? Wie kann man sich selbst treu bleiben, wenn die Herrschenden des Imperiums alles dafür tun, voller Grausamkeit ein ganzes Volk zu unterjochen? Elias und Laia stehen auf unterschiedlichen Seiten. Und doch sind ihre Wege schicksalhaft miteinander verknüpft. Während Elias in der berühmten Militärakademie von Schwarzkliff dazu ausgebildet wird, als Elite-Krieger die silberne Maske der Macht voller Stolz und ohne Erbarmen zu tragen, muss Laia täglich die Willkür der Herrschenden fürchten. Als ihre Familie ermordet wird und ihrem Bruder die Hinrichtung droht, schließt sie sich dem Widerstand an. Als Sklavin getarnt, dringt sie in das Innerste von Schwarzkliff vor. Dort trifft sie auf Elias, den jungen Krieger, der eigentlich ihr Feind sein müsste ...', 'Jugendlich', 'images/elia_laia.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Train Kids','Reinhardt, Dirk',2015,'Gerstenberg Verlag','ja',11,'978-3-8369-5800-4','In Zeiten, in denen sich Europa zur Festung ausbaut und sich Wohlgenährte gegen Flüchtlinge abschotten, bringt uns Dirk Reinhardt die Menschen hinter den Zahlen nahe. Verlässlich recherchierte Fakten, authentische Schicksale. Aufklärung im besten Sinne. Hochaktuell!', 'Jugendlich', 'images/train_kids.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('City of Heavenly Fire','Clare, Cassandra',2015,'Arena','nein',11,'978-3-401-06674-5','Jace trägt das Himmlische Feuer in sich und Sebastian verkündet den finalen Schlag gegen die irdische Welt. Um zu verhindern, dass Dämonen über die Städte herfallen, müssen Clary und Jace mit ihren Freunden in die Schattenwelt eindringen. Wird es ihnen gelingen, Sebastians finstere Pläne zu stoppen, ohne selbst Schaden zu nehmen? Als sie auf Clarys dunklen Bruder treffen, stellt er Clary vor eine schier unlösbare Aufgabe: Entweder sie kommt an seine Seite oder er vernichtet ihre Familie und Freunde, die Welt und alle Schattenjäger ... Für die Liebe müssen Opfer gebracht werden. Der sechste Band der Chroniken der Unterwelt wartet mit einem spektakulären und unerwarteten Finale für dieses gewaltige Epos auf.', 'Jugendlich','images/cityofheavenlyfire.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Eine wie Alaska','Green, John',2014,'DTV','nein',11,'978-3-423-62403-9','Miles hat die Schule gewechselt. Auf dem Internat verknallt er sich in die schöne Alaska. Sie ist das Zentrum ihres Sonnensystems, der magische Anziehungspunkt des Internats. Wer um sie kreist, ist glücklich und verletzlich gleichermaßen, euphorisch und immer nah am Schulverweis. Alaska mag Lyrik, nächtliche Diskussionen über philosophische Absurditäten, heimliche Glimmstängel im Wald und die echte wahre Liebe. Miles ist fasziniert und überfordert zugleich. Dass hinter dieser verrückten, aufgekratzten Schale etwas Weiches und Verletzliches steckt, ist offensichtlich. Wer ist Alaska wirklich? Mit Anmut und Humor, voller Selbstironie und sehr charmant erzählt Green die zu Tränen rührende Geschichte von Miles, in dessen Leben die Liebe wie eine Bombe einschlägt.', 'Jugendlich','images/einewiealaska.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,reihe,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Die Auserwählten - In der Todeszone','Dashner, James',2015,'Carlsen','Maze Runner','ja',11,'978-3-551-31360-7','Der letzte Teil der nervenzerreißenden und dystopischen Trilogie "Maze Runner - Die Auserwählten". Statt der versprochenen Freiheit steht Thomas die nächste Prüfung bevor. Mit einem operativen Eingriff soll ihm sein Gedächtnis zurückgegeben werden. Doch Thomas weiß, dass er den Wissenschaftlern von ANGST nicht trauen darf. Deshalb müssen er und seine Freunde so schnell wie möglich fliehen, hinaus in die Todeszone. In eine Welt, in der sich ein tödlicher Virus immer weiter ausbreitet. Und er muss dafür sorgen, dass ANGST ihn nicht länger manipulieren kann. Denn die grausamen Experimente müssen endlich gestoppt werden.','Junge Erwachsene','images/dieauserwaehlten_todeszone.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Eleanor & Park','Rowell, Rainbow',2015,'Hanser','ja',11,'978-3-446-24740-6', 'Sie sind beide Außenseiter, aber grundverschieden: Die pummelige Eleanor und der gut aussehende, aber zurückhaltende Park. Als er ihr im Schulbus den Platz neben sich frei macht, halten sie wenig voneinander. Park liest demonstrativ und Eleanor ist froh, ignoriert zu werden. In der Schule ist sie das Opfer übler Mobbing-Attacken und zu Hause hat sie mit vier Geschwistern und einem tyrannischen Stiefvater nur Ärger. Doch als sie beginnt, Parks Comics mitzulesen, entwickelt sich ein Dialog zwischen den beiden. Zögerlich tauschen sie Kassetten, Meinungen und Vorlieben aus. Dass sie sich ineinander verlieben, scheint unmöglich. Doch ihre Annäherung gehört zum Intensivsten, was man über die erste Liebe lesen kann.', 'Jugendlich','images/eleanorundpark.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,reihe,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Die Auserwählten - Im Labyrinth','Dashner, James',2013,'Carlsen','Maze Runner','ja',11,'978-3-551-31231-0', 'Der erste Teil der rasanten und düsteren Trilogie "Maze Runner: Die Auserwählten". Er heißt Thomas. An mehr kann er sich nicht erinnern. Und er ist an einem seltsamen Ort gelandet einer Lichtung, umgeben von einem riesigen Labyrinth, in dem mörderische Kreaturen lauern. Nun liegt es an ihm und den anderen Überlebenden, einen Weg in die Freiheit zu finden. Doch die Zeit drängt und nicht alle werden es schaffen Jetzt ein Hollywood-Blockbuster mit Dylan O Brian (Teen Wolf) in der Hauptrolle.', 'Jugendlich','images/dieauserwaehlten_labyrinth.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,reihe,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Die Auserwählten - In der Brandwüste','Dashner, James',2013,'Carlsen','Maze Runner','ja',11,'978-3-551-31282-2', 'Der zweite Teil der mitreißenden und düsteren Trilogie "Die Auserwählten" Sie haben einen Ausweg aus dem tödlichen Labyrinth gefunden und geglaubt, damit wäre alles vorbei. Dass sie frei sein werden und nie mehr um ihr Leben rennen müssen. Doch auf Thomas und seine Freunde wartet das Grauen: sengende Hitze, verbranntes Land und Menschen, die von einem tödlichen Virus befallen sind. Und die undurchsichtigen Schöpfer halten noch immer die Fäden in der Hand. Damit steht den Jungen die nächste Prüfung bevor. Sie müssen innerhalb von zwei Wochen die Brandwüste durchqueren, sonst sind sie verloren. Und dabei wird ihnen alles abverlangt, sogar ihre Menschlichkeit - doch dazu ist Thomas nicht bereit!', 'Jugendlich','images/dieauserwaehlten_brand.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Nur einen Horizont entfernt','Nelson Spielman',2015,'FISCHER Krüger','ja',4,'978-3-8105-2395-2','Von der Autorin der berührendsten Geschichte des Jahres 2014 kommt nun ein Roman über das Verzeihen, der Hoffnung macht. Mit zittrigen Fingern öffnet die TV-Moderatorin Hannah Farr einen Brief. Der Absender ist eine ehemalige Schulfreundin, die sie jahrelang gemobbt hat. Die Frau bittet sie nun um Vergebung. Dem Brief beigelegt sind zwei kleine runde Steine und eine Anleitung. Einen Stein soll sie als Zeichen dafür zurücksenden, dass sie ihrer früheren Klassenkameradin vergibt. Den anderen soll sie an jemanden schicken, den sie selbst um Verzeihung bitten möchte. Hannah weiß sofort, wer das sein könnte: ihre Mutter. Aber soll sie wirklich zurück zu den schmerzhaften Ereignissen von damals und die Auseinandersetzung mit dem Menschen suchen, der sie am besten kennt? Denn Hannah hat etwas getan, das das Leben ihrer Mutter für immer verändert hat ... Manchmal ist es etwas winzig Kleines, das uns Großes tun lässt.','Erwachsen', 'images/nureinenhorizontentfernt.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Tod zwischen den Zeilen','Leon, Donna',2015,'Diogenes','ja',12,'978-3-257-06929-7','Brunetti auf der Jagd nach Raritäten: Der Commissario wird zu einem ungewöhnlichen Tatort gerufen, der altehrwürdigen Biblioteca Merula. Wertvolle Folianten liegen aufgeschlitzt da, und der amerikanische Forscher, der ein Dauergast war, ist verschwunden. In Venedig, das einst auch eine florierende Bücherstadt war, entdeckt Brunetti eine eigenartige Welt: einen florierenden Schwarzmarkt für Bücher. ','Erwachsen', 'images/todzwischendenzeilen.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Vom Inder, der auf dem Fahrrad bis nach Schweden fuhr um dort seine grosse Liebe wiederzufinden','Andersson, Per J.',2015,'Kiepenheuer & Witsch','nein',3,'978-3-462-04747-9','Diese Geschichte erzählt vom unglaublichen Schicksal des kastenlosen Pradyumma Kumar, genannt Pikay. In ärmlichen Verhältnissen aufgewachsen, kennt er nur Extreme: Mal wird der talentierte Portraitzeichner von Indira Gandhi eingeladen, sie zu malen, mal muss er hungern und schläft auf der Straße. Eines Abends taucht neben seiner Staffelei ein blondes Mädchen auf - und eine unglaubliche Liebesgeschichte nimmt ihren Anfang. Als Lotta zurück nach Schweden geht, stehen die Chancen schlecht um die beiden - wäre da nicht ein altes Fahrrad. Damit macht sich Pikay auf den Weg, um die 7.000 km von Asien nach Europa zurückzulegen. Auch zahlreiche Rückschläge können ihn nicht aufhalten, bis er schließlich tatsächlich in der Heimat Lottas ankommt, einer völlig anderen Welt ... Um das Happy End gleich zu verraten: Heute sind die beiden seit über 35 Jahren verheiratet, haben zwei Kinder und leben auf einem alten Bauernhof in der Nähe von Borås in Schweden.','Erwachsen', 'images/vominder.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Morgen kommt ein neuer Himmel','Nelson Spielman, Lori',2014,'FISCHER Krüger','ja',10,'978-3-8105-1330-4','Können Träume glücklich machen? Eine Mutter zeigt ihrer Tochter den Weg, ihre wahren Träume zu verwirklichen. Ein berührender Roman über die eine Liebe, die uns ein Leben lang nicht verlässt. Wer verscheucht die Monster aus unseren Albträumen? Wer tröstet uns bei Liebeskummer? Und wer kennt uns besser, als wir uns selber kennen? Als Brett 14 Jahre alt war, hatte sie noch große Pläne für ihr Leben, festgehalten auf einer Liste mit Lebenszielen. Heute, mit 34 Jahren, ist die Liste vergessen und Brett mit dem zufrieden, was sie hat: einen Freund, einen Job, eine schicke Wohnung. Doch als ihre Mutter Elizabeth stirbt, taucht die Liste wieder auf: Aus dem Mülleimer gefischt, hat ihre Mutter die Liste aufgehoben, und deren Erfüllun zur Bedingung gemacht, damit Brett ihr Erbe erhält - und zwar innerhalb von 12 Monaten. Aber Brett ist nicht mehr das Mädchen von damals. Ein Baby bekommen? Das hat sie schon lange ad acta gelegt. Ein Pferd kaufen? In ihrer Wohnung sind nicht mal Haustiere erlaubt....','Jugendlich', 'images/morgenkommteinneuerhimmel.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Montecristo','Suter, Martin',2015,'Diogenes','ja',7,'978-3-257-06920-4','Ein Personenschaden bei einer Fahrt im Intercity und zwei Hundertfrankenscheine mit identischer Seriennummer: Auf den ersten Blick hat beides nichts miteinander zu tun. Auf den zweiten Blick schon. Und Videojournalist Jonas Brand ahnt bald, dass es sich nur um die Spitze eines Eisbergs handelt. Ein aktueller, hochspannender Thriller aus der Welt der Banker, Börsenhändler, Journalisten und Politiker - das abgründige Szenario eines folgenreichen Finanzskandals.','Erwachsen', 'images/montecristo.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Darm mit Charme','Enders, Giulia',2015,'Ullstein HC','ja',9,'978-3-550-08041-8','Ausgerechnet der Darm! Das schwarze Schaf unter den Organen, das einem doch bisher eher unangenehm war. Aber dieses Image wird sich ändern. Denn Übergewicht, Depressionen und Allergien hängen mit einer gestörten Balance der Darmflora zusammen. Das heißt umgekehrt: Wenn wir uns in unserem Körper wohl fühlen, länger leben und glücklicher werden wollen, müssen wir unseren Darm pflegen. Das zumindest legen die neuesten Forschungen nahe. In diesem Buch erklärt die junge Wissenschaftlerin Giulia Enders vergnüglich, welch ein hochkomplexes und wunderbares Organ der Darm ist. Er ist der Schlüssel zu einem gesunden Körper und einem gesunden Geist und eröffnet uns einen ganz neuen Blick durch die Hintertür.','Erwachsen', 'images/darmmitcharme.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Wie wir Älter werden','Schweikert, Ruth',2015,'S. FISCHER','ja',2,'978-3-10-002263-9','Unser ganz normales, brüchiges Leben - ein berührender Zeit- und Familienroman der Schweizer Autorin Ruth Schweikert Wie spät ist es? Draußen liegt Schnee. Drinnen bereitet der 87-jährige Jacques wie jeden Morgen das Mittagessen für seine pflegebedürftige Frau Friederike vor. Neun Jahre lang lebte er zwischendurch mit einer anderen Frau zusammen, dann aber kehrte er in seine alte Ehe zurück. Auch im Leben der erwachsenen Kinder und Enkelkinder gibt es immer wieder Trennungen und Wandlungen, Abschiede und Aufbrüche, getrieben von der Sehnsucht nach Freiheit und Verlässlichkeit zugleich. In wechselnden Perspektiven umkreist "Wie wir älter werden" die Geschichten dreier Generationen, die vom Zweiten Weltkrieg bis in die unmittelbare Gegenwart reichen. Ein Familienroman über das Vergehen der Zeit und die verschlungenen Wege der Liebe.','Jugendlich', 'images/wiewiraelterwerden.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Wir kennen uns doch kaum','Küng, Max',2015,'Rowohlt TB.','nein',4,'978-3-499-26934-9','Moritz schreibt Meta. Meta schreibt zurück. So geht das, monatelang. Aber es ist kompliziert. Sie lebt nicht allein und in Berlin. Er in einer kleinen Stadt in der Schweiz. Nie sehen sie sich. Nie hören sie ihre Stimmen. Irgendwann fangen sie an, sich SMS zu schreiben, in einem Monat 837 Stück. Es genügt. Ein Jahr später hat Moritz in Berlin zu tun. Er nimmt ein Hotelzimmer, schickt ihr eine SMS mit der Zimmernummer: "2307". Eine halbe Stunde später klopft es an der Tür. Er öffnet. Sie sind wie gelähmt. Irgendwann sagt er: "Weißt du was? Wir fangen nochmal vorne an." Die Geschichte ihrer Liebe erzählt dieses Buch.','Jugendlich', 'images/wirkennenunsdochkaum.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Provokateure','Walker, Martin',2015,'Diogenes','ja',12,'978-3-499-26934-9','Saint-Denis im Périgord ist ein Sehnsuchtsort für viele. Auch für einige, die hier aufgewachsen sind. Doch als ein autistischer Junge aus Saint-Denis auf einer französischen Armeebasis in Afghanistan auftaucht und nach Hause möchte, ist unklar, ob als Freund oder Feind. Dies herauszufinden ist die dringende Aufgabe für Bruno, Chef de police, ehe sich verschiedene Provokateure einmischen und alle in tödliche Gefahr bringen können.','Erwachsen', 'images/provokateure.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Nacht im Central Park','Musso, Guillaume',2015,'Pendo','ja',3,'978-3-86612-378-6','New York, acht Uhr morgens. Alice, eine Polizistin aus Paris, und Gabriel, ein amerikanischer Jazzpianist, wachen auf einer Bank im Central Park auf - mit Handschellen aneinandergefesselt. Und sie sind sich nie zuvor begegnet. Wie in aller Welt sind die beiden hierher gekommen? Und vor allem: Warum? Alice und Gabriel wachen aneinandergefesselt auf einer Parkbank auf und haben keine Ahnung, wie sie in diese Situation geraten sind. Zumal sie sich nicht einmal kennen. In der Nacht zuvor ist Alice mit Freundinnen auf den Champs-Elysées ausgegangen, Gabriel hat in einem Club in Dublin Klavier gespielt. Wie konnten sie in nur so kurzer Zeit nach Amerika gelangen? Wurden sie mit einem Privatjet entführt? Von wem stammen die Blutflecken auf Alice T-Shirt? Warum trägt sie eine fremde Waffe, in der eine Kugel fehlt? Alice und Gabriel bleibt nichts anderes übrig, als gemeinsam herauszufinden, was passiert ist. Ihre Suche führt sie auf die Spur eines Serienmörders,...','Erwachsen', 'images/musso.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Die Deutsche Rechtschreibung','Deutsche Sprache',2013,'Bibliographisches Institut','ja',9,'978-3-411-04650-8','Mit seinen 5.000 neuen Wörtern bietet der "Duden - Die deutsche Rechtschreibung" nun 140.000 Stichwörter mit über 500.000 Bedeutungserklärungen und zusätzlichen Angaben zu Worttrennung, Aussprache, Grammatik, Etymologie und Stil. Die Regeln sind leicht verständlich dargestellt und mit praxisnahen Beispielen versehen. Darüber hinaus finden sich ausführliche Sondereinträge zu Zweifelsfällen und Stolperfallen der deutschen Sprache, Tipps für gutes Deutsch sowie Hinweise zur modernen Textgestaltung.','Alle', 'images/duden.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Das Spiel des Poeten','Camilleri, Andrea',2015,'Bastei Lübbe','ja',12,'978-3-7857-2535-1','Ein greises Geschwisterpaar in religiösem Wahn, das Schüsse abfeuert, sobald jemand sich der Wohnung nähert. Eine massakrierte Gummipuppe, die Rätsel aufgibt - umso mehr, als sich in einem anderen Viertel Vigàtas eine zweite Puppe mit denselben Blessuren findet. Anonyme Botschaften in Reimform, die im Kommissariat eingehen. Commissario Montalbano ahnt schon bald, dass ein weit zurückliegender Fall erneut ans Tageslicht gerückt ist: das mysteriöse Verschwinden eines Mädchens, dessen Leiche nie gefunden wurde ....','Erwachsen', 'images/dasspiel.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Denn Liebe ist stärker als Hass','Graber, Shlomo',2015,'Riverfield','ja',3,'978-3-9524463-0-0','Während des Zweiten Weltkrieges wurden Shlomos Familie und er selbst zweimal deportiert. In Auschwitz ermordeten die Nazis fast seine ganze Familie. Doch wie durch ein Wunder und mit einem unglaublichen Lebenswillen, überlebte er nicht nur die unfassbaren Qualen von drei Konzentrationslagern, sondern auch den berüchtigten Görlitzer Todesmarsch. Bei seiner Befreiung, am 8. Mai 1945, war Shlomo 18 Jahre alt und begann ein neues Leben: Er wanderte nach Israel aus, wo er eine Familie gründete. Vor über 25 Jahren lernte er seine jetzige Frau kennen. Seither lebt und arbeitet er in Basel. Shlomo Graber blickt weder im Zorn noch mit Verbitterung auf sein Leben zurück. Gewalt und Fanatismus lehnt der Holocaust-Überlebende kategorisch ab und verurteilt sie entschieden. Trotz seines hohen Alters hält er regelmäßig Vorträge an Schulen und in Gemeinden, um der Jugend Werte wie Toleranz, Respekt und Liebe zu vermitteln. Seine Motivation, seine Lebensfreude und sein einzigartiger Humor ¿ sie überzeugen und beeindrucken....','Erwachsen', 'images/dennliebe.png');
INSERT INTO buch(titel,verfasser,jahr,verlag,verfuegbar,interessenkreis_idfs,isbn,beschreibung,mediengruppe,bild) VALUES('Tod in stiller Nacht','Sten, Viveca',2015,'Kiepenheuer & Witsch','nein',12,'978-3-462-04735-6','Die eisige Stille des friedlichen Weihnachtstages wird jäh gestört, als der leblose Körper einer Frau vor dem Hotel gefunden wird. Thomas Andreassons Ermittlungen zeigen, dass es sich bei dem Opfer um eine prominente Kriegsberichterstatterin handelt, die zahlreichen Morddrohungen ausgesetzt war. Fremdenfeindliche Zwischentöne und ein besonders professioneller Mörder machen den Fall für Thomas noch verzwickter. Da geschieht ein zweiter Mord ...In der Zwischenzeit kämpft Thomas Jugendfreundin Nora mit ganz anderen Problemen. Ihre berufliche Integrität als Bankjuristin ist infrage gestellt. Schließlich muss sie eine Entscheidung treffen, die ihr ganzes Leben verändern wird. Viveca Sten hat in Deutschland eine riesige Fangemeinde, die gespannt auf weitere Fälle wartet. Dieser neue Fall übertrifft alle Erwartungen.','Erwachsen', 'images/todinstillernacht.png');


CREATE TABLE konto (
    konto_id INTEGER NOT NULL AUTO_INCREMENT,
    name VARCHAR(25) NOT NULL,
    vorname VARCHAR(25) NOT NULL,
    geb_datum DATE,
    email VARCHAR(40) NOT NULL,
    tel_nummer VARCHAR(15) NOT NULL,
    angemeldet ENUM('0', '1') NOT NULL DEFAULT '0',
	passwort VARCHAR(32) NOT NULL,
    
    PRIMARY KEY (konto_id)
);

INSERT INTO konto(name, vorname, geb_datum, email, tel_nummer, passwort) VALUES ('Ad', 'Ministrator', '0001-01-01', 'admin', '1234567890', '21232f297a57a5a743894a0e4a801fc3');
INSERT INTO konto(name, vorname, geb_datum, email, tel_nummer, passwort) VALUES ('Becher', 'Florian', '1997-04-08', 'fb97d@gmx.ch', '078 786 03 57', '21232f297a57a5a743894a0e4a801fc3');

CREATE TABLE interessenkreis (
    interessenkreis_id INTEGER NOT NULL AUTO_INCREMENT,
    name VARCHAR(20) NOT NULL,
    anzahl_buecher INTEGER NOT NULL,
    
    PRIMARY KEY (interessenkreis_id)
);

INSERT INTO interessenkreis (interessenkreis_id, name, anzahl_buecher) VALUES(1,'Fantasy',(SELECT COUNT(*) FROM buch WHERE interessenkreis_idfs = 1));
INSERT INTO interessenkreis (interessenkreis_id, name, anzahl_buecher) VALUES(2,'Historischer Roman',(SELECT COUNT(*) FROM buch WHERE interessenkreis_idfs = 2));
INSERT INTO interessenkreis (interessenkreis_id, name, anzahl_buecher) VALUES(3,'Biografischer Roman',(SELECT COUNT(*) FROM buch WHERE interessenkreis_idfs = 3));
INSERT INTO interessenkreis (interessenkreis_id, name, anzahl_buecher) VALUES(4,'Frauenroman',(SELECT COUNT(*) FROM buch WHERE interessenkreis_idfs = 4));
INSERT INTO interessenkreis (interessenkreis_id, name, anzahl_buecher) VALUES(5,'Horror',(SELECT COUNT(*) FROM buch WHERE interessenkreis_idfs = 5));
INSERT INTO interessenkreis (interessenkreis_id, name, anzahl_buecher) VALUES(6,'Sci-Fi',(SELECT COUNT(*) FROM buch WHERE interessenkreis_idfs = 6));
INSERT INTO interessenkreis (interessenkreis_id, name, anzahl_buecher) VALUES(7,'Thriller',(SELECT COUNT(*) FROM buch WHERE interessenkreis_idfs = 7));
INSERT INTO interessenkreis (interessenkreis_id, name, anzahl_buecher) VALUES(8,'Kinderbuch',(SELECT COUNT(*) FROM buch WHERE interessenkreis_idfs = 8));
INSERT INTO interessenkreis (interessenkreis_id, name, anzahl_buecher) VALUES(9,'Ratgeber',(SELECT COUNT(*) FROM buch WHERE interessenkreis_idfs = 9));
INSERT INTO interessenkreis (interessenkreis_id, name, anzahl_buecher) VALUES(10,'Abenteuer',(SELECT COUNT(*) FROM buch WHERE interessenkreis_idfs = 10));
INSERT INTO interessenkreis (interessenkreis_id, name, anzahl_buecher) VALUES(11,'Jugendroman',(SELECT COUNT(*) FROM buch WHERE interessenkreis_idfs = 11));
INSERT INTO interessenkreis (interessenkreis_id, name, anzahl_buecher) VALUES(12,'Krimi',(SELECT COUNT(*) FROM buch WHERE interessenkreis_idfs = 12));

CREATE TABLE bewertung(
	bewertung_id INTEGER NOT NULL AUTO_INCREMENT,
	konto_idfs INTEGER NOT NULL,
	buch_idfs INTEGER NOT NULL,
	bewertung ENUM('Positiv','Negativ') NOT NULL,
	
	PRIMARY KEY (bewertung_ID)
);

INSERT INTO bewertung (konto_idfs, buch_idfs, bewertung) VALUES(2, 13, 'Negativ');
INSERT INTO bewertung (konto_idfs, buch_idfs, bewertung) VALUES(2, 21, 'Positiv');
INSERT INTO bewertung (konto_idfs, buch_idfs, bewertung) VALUES(2, 9, 'Positiv');
INSERT INTO bewertung (konto_idfs, buch_idfs, bewertung) VALUES(2, 1, 'Negativ');
INSERT INTO bewertung (konto_idfs, buch_idfs, bewertung) VALUES(2, 2, 'Positiv');
INSERT INTO bewertung (konto_idfs, buch_idfs, bewertung) VALUES(2, 3, 'Negativ');
